<style lang="scss" scoped>
.login {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  .showusers {
    position: absolute;
    right: 100px;
  }
}
</style>
<template>
  <section class="login">
    <v-card width="640px">
      <v-card-title primary-title>Login</v-card-title>
      <v-card-text>
        <v-form ref="form" lazy-validation>
          <v-text-field
            label="user"
            :rules="[val => (val || '').length > 0 || 'This field is required']"
            v-model="form.user"
            @keyup.enter="submit"
            outlined
          ></v-text-field>
          <v-text-field
            type="password"
            v-model="form.password"
            :rules="[val => (val || '').length > 0 || 'This field is required']"
            label="password"
            @keyup.enter="submit"
            outlined
          ></v-text-field>
          <v-btn color="primary" width="130px" @click="submit" large>
            <span class="white--text">Login</span>
          </v-btn>
        </v-form>
      </v-card-text>
    </v-card>
    <div class="showusers">
      <div v-for="user in $store.state.users.users" :key="user.user">{{user}}</div>
    </div>
  </section>
</template>
<script>
export default {
  layout: "login",
  data: () => {
    return {
      form: {
        user: null,
        password: null
      }
    };
  },
  mounted() {
    this.$store.dispatch("users/logout");
  },
  methods: {
    async submit() {
      let res = this.$refs.form.validate();
      if (res) {
        await this.$store.dispatch("users/login", this.form);
        this.$router.push("/");
      }
    }
  }
};
</script>